import React from "react";
import {createStyles, makeStyles, Theme, Typography} from "@material-ui/core";
import {t} from "@lingui/macro";
import {ScannerModel} from "../../../stores/ScannerStore";
import {green, red} from "@material-ui/core/colors";

type ScannerTriggerFilterProps = {
   model: ScannerModel
}

const useStyles = makeStyles((theme: Theme) =>
    createStyles({
        online: {
            color: green[600],
            fontWeight: 'bold'
        },
        offline: {
            color: red[600],
            fontWeight: 'bold'
        }
    })
);
export const ContinualScannerStatus: React.FunctionComponent<ScannerTriggerFilterProps> = ({model}) => {
    const classes = useStyles();

    if(model.online){
        return <Typography className={classes.online}>{t`online`}</Typography>;
    }

    return (
        <Typography className={classes.offline}>{t`offline`}</Typography>
    )
};