import React from "react";
import { t } from "@lingui/macro";
import {ModelSelect, useModelContext} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {useScannerTypeOptions} from "../../../hooks/useScannerTypeOptions";
import {ScannerModel} from "../../../stores/ScannerStore";

export const ScannerTypeSelect: React.FunctionComponent = observer(() => {
    const model = useModelContext() as ScannerModel;

    const options = () => {
        const types = useScannerTypeOptions();

        if(model.viewModel.scan_trigger === 'trigger'){
            return types;
        }

        const supportsContinualScan = ['WenglorB50']

        return types.filter(type => supportsContinualScan.includes(type.value));
    }

    return (
        <ModelSelect
            name={t`scanner_type`}
            options={options()}
            clearable
        />
    )
});