import React from "react"
import { useModelContext} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {ScannerModel} from "../../../../stores/ScannerStore";
import {Box} from "@material-ui/core";
import {ContinualScannerParameters} from "./ContinualScannerParameters";

export const ScannerParametersForm: React.FunctionComponent = observer(() => {
    const model = useModelContext() as ScannerModel;

    if(!model.viewModel.requiresParameters){
        return null;
    }

    return (
        <Box mt={1}>
            <ContinualScannerParameters/>
        </Box>
    )
})