import React from "react";
import { t } from "@lingui/macro";
import {Box} from "@material-ui/core";

export const useScannerBulkCreateColumns = () => {
    return [
        {
            Header: t`Name`,
            accessor: 'name',
            id: 'name',
            Cell: (cellInfo: { value: string }) => {
                return <Box display={'flex'} alignItems={'center'} height={'100%'}>
                    {cellInfo.value}
                </Box>;
            }
        },
        {
            Header: t`IP Address`,
            accessor: 'ip_address',
            id: 'ip_address',
            Cell: (cellInfo: { value: string }) => {
                return <Box display={'flex'} alignItems={'center'} height={'100%'}>
                    {cellInfo.value}
                </Box>;
            }
        },
        {
            Header: t`Type`,
            accessor: 'type',
            id: 'type',
            Cell: (cellInfo: { value: string }) => {
                return <Box display={'flex'} alignItems={'center'} height={'100%'}>
                    {cellInfo.value}
                </Box>;
            }
        },
        {
            Header: t`Minimum Scan Length`,
            accessor: 'min_scan_length',
            id: 'min_scan_length',
            Cell: (cellInfo: { value: number }) => {
                return <Box display={'flex'} alignItems={'center'} height={'100%'}>
                    {cellInfo.value}
                </Box>;
            }
        }
    ];
};