import * as React from 'react';
import {ModelInput} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {Box, Grid} from "@material-ui/core";
import {observer} from "mobx-react-lite";
import {ScannerTypeSelect} from "../../../components/scanner/form/ScannerTypeSelect";
import {Alert} from "@material-ui/lab";

export const ScannerBulkCreateForm: React.FunctionComponent = observer(() => {
    return <React.Fragment>
        <Grid container>
            <Alert style={{width: '100%'}} severity={'info'}>
                {t`Only trigger based scanners can be bulk created. Continual scanners must be created individually.`}
            </Alert>
            <Box flex={1}>
                <ModelInput name={t`name`}/>
            </Box>
            <Box ml={1} flex={1}>
                <ModelInput name={t`ip_address`}/>
            </Box>
            <Box ml={1} flex={1}>
                <ScannerTypeSelect/>
            </Box>
            <Box ml={1} flex={1}>
                <ModelInput name={t`min_scan_length`}/>
            </Box>
        </Grid>
    </React.Fragment>
});
