import * as React from "react";
import {ModelInput, ModelSelect} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {ScannerTypeSelect} from "../../../../components/scanner/form/ScannerTypeSelect";
import {t} from "@lingui/macro";
import {useScannerTriggerOptions} from "../../../../hooks/useScannerTriggerOptions";
import {ScannerParametersForm} from "../../../../components/scanner/form/scanner_parameters/ScannerParametersForm";

export const ScannerConfigurationTab: React.FunctionComponent = observer(() => {
    return (
        <React.Fragment>
            <ModelInput name={"name"}/>
            <ModelSelect
                name={t`scan_trigger`}
                options={useScannerTriggerOptions()}
            />
            <ScannerTypeSelect/>
            <ModelInput name={"ip_address"}/>
            <ModelInput name={"min_scan_length"}/>
            <ScannerParametersForm/>
        </React.Fragment>
    )
})