class SendToModuleJob < ApplicationJob
  queue_as :default

  def perform(module_id, endpoint, method, parameters)
    begin
      Rails::logger.info "Sending #{module_id} #{method} #{endpoint} #{parameters}"
      RxModule::Communicator.call_module_method(module_id, endpoint, method, parameters)
    rescue => err
      Rails::logger.error "Failed to send #{module_id} #{method} #{endpoint} #{parameters}. ERROR - #{err}"
    end
  end
end
