module ScannerHandler
  module Continual
    class WenglorB50ContinualScannerHandler < BaseContinualScannerHandler

      def initialize
        super
      end

      private

      def port
        '32002'
      end

      def read
        raw = @client.recv(buffer_size).chomp
        scan_value = raw.split(value_separator).last # if we read several scan value at once, only consider the last
        return no_read_value if scan_value.nil?
        scan_value
      rescue => err
        log("failed to read #{err}")
        no_read_value
      end

      def buffer_size
        25
      end
    end
  end
end
