Rails.application.routes.draw do
  mount RxModule::Engine => "/api/rx_module"

  scope :api do
    resources :scanners do
      collection do
        post :bulk_create
      end
      member do
        get :scan
        get :ping
        get :ping_v2
        put :start
        put :stop
      end
    end
    resources :scanner_rules
    resources :settings
  end

  root '/', controller: :index, action: :show, as: :index_show
  match '*path' => 'index#show', via: :all
end
